KF5-CONFIG(1)

NOM
kf5-config - Imprime les emplacements d'installation pour Qt(TM) et Frameworks.

SYNOPSIS

kf5-config [--expandvars] [--prefix] [--exec-prefix] [--libsuffix] [--localprefix] [--version] [--kde-version] [--types] [--path type] [--userpath type] [--install type] [--qt-prefix] [--qt-binaries] [--qt-libraries] [--qt-plugins]

DESCRIPTION

kf5-config est un programme en ligne de commandes utilisé pour retrouver des informations concernant l'installation de Frameworks installation ou des emplacements des utilisateurs.

Utilisez ce programme pour déterminer où sont disponibles les différents aspects de l'installation de Frameworks sur votre système.

    Note

    kf5-config est plutôt une alternative déconseillée de kde4-config, alors que l'outil recommandé à utiliser à la place est qtpaths (qui est livré avec Qt(TM)).

OPTIONS

--expandvars
    Développer ${prefix} et ${exec_prefix} en la sortie.

--prefix
    Compilé dans « prefix » pour les bibliothèques de Frameworks.

--exec-prefix
    Compilé dans « exec_prefix » pour les bibliothèques de Frameworks.

--libsuffix
    Compilé dans le suffixe d'emplacement de bibliothèques.

--localprefix
    Préfixe dans $HOME utilisé pour l'écriture des fichiers.

--version
    Version de Qt(TM) et compilé dans une chaîne de version pour les bibliothèques de Frameworks et kf5-config.

--kde-version
    Compilé dans la chaîne de version pour les bibliothèques de Frameworks.

--types
    Imprimer une liste de tous les types de ressources disponibles de KDE.

--path type
    Rechercher l'emplacement du type spécifié.

--userpath type
    Emplacements des utilisateurs pour les types : bureau | document

--install type
    Préfixe où installer les fichiers de ressources.

--qt-prefix
    Préfixe d'installation de Qt(TM).

--qt-binaries
    Emplacement des binaires de Qt(TM) installés.

--qt-libraries
    Emplacement des bibliothèques Qt(TM) installées.

--qt-plugins
    Emplacement des modules externes pour Qt(TM) installés.

EXEMPLES

Imprimer le dossier racine de l'installation de Frameworks :

% kf5-config --prefix

Afficher une liste de tous les types de ressources :

% kf5-config --types

Afficher l'emplacement du fond d'écran installé :

% kf5-config --path wallpaper

VOIR AUSSI

kf5options(7)

BOGUES

Aucun connu.

AUTEUR

Stephan Kulow <coolo@kde.org>
    Auteur.